Page MenuHomePhabricator

Fix expression evaluation with operator new
ClosedPublic

Authored by labath on Mar 3 2016, 9:50 AM.

Details

Summary

referencing a user-defined operator new was triggering an assert in clang because we were
registering the function name as string "operator new", instead of using the special operator
enum, which clang has for this purpose. Method operators already had code to handle this, and now
I extend this to cover free standing operator functions as well. Test included.

Diff Detail

Repository
rL LLVM

Event Timeline

labath updated this revision to Diff 49748.Mar 3 2016, 9:50 AM
labath retitled this revision from to Fix expression evaluation with operator new.
labath updated this object.
labath added a reviewer: spyffe.

Any thoughts on this?

labath updated this revision to Diff 56252.May 5 2016, 2:48 AM

Rebase on ToT.

This has been sitting in the queue for a long time. Greg, could you take a look?

Sean, could you find some time to look at this please?

clayborg accepted this revision.Jun 20 2016, 5:20 PM
clayborg edited edge metadata.

I am OK if Sean is OK with this.

This revision is now accepted and ready to land.Jun 20 2016, 5:20 PM
labath requested a review of this revision.Jul 12 2016, 2:11 AM
labath edited edge metadata.

Sean, could you take a quick look at this one as well?

labath added a comment.Aug 8 2016, 9:25 AM

Sean, if you don't object, I am going to put this in next week.

pl

This revision was automatically updated to reflect the committed changes.